curl --request GET \
--url https://api.alpha-1edtech.ai/ap-readiness/dashboard \
--header 'Authorization: Bearer <token>'{
"rows": [
{
"goalId": "<string>",
"studentSourcedId": "<string>",
"studentName": "<string>",
"subject": "AP Biology",
"readiness": {
"componentA": 123,
"componentB": 123,
"componentC": 123,
"hasPracticeTestData": true,
"predictedScore": 123,
"predictedScoreLabel": "<string>"
},
"coverage": {
"assessed": 123,
"total": 123,
"percentage": 123
},
"topFocusAreas": [
"<string>"
],
"timeRemainingPct": 123,
"goalStatus": "active",
"startDate": "<string>",
"endDate": "<string>"
}
]
}Returns all active AP readiness goals for the requested AP subject with readiness, coverage, focus-area, and time-remaining metrics.
curl --request GET \
--url https://api.alpha-1edtech.ai/ap-readiness/dashboard \
--header 'Authorization: Bearer <token>'{
"rows": [
{
"goalId": "<string>",
"studentSourcedId": "<string>",
"studentName": "<string>",
"subject": "AP Biology",
"readiness": {
"componentA": 123,
"componentB": 123,
"componentC": 123,
"hasPracticeTestData": true,
"predictedScore": 123,
"predictedScoreLabel": "<string>"
},
"coverage": {
"assessed": 123,
"total": 123,
"percentage": 123
},
"topFocusAreas": [
"<string>"
],
"timeRemainingPct": 123,
"goalStatus": "active",
"startDate": "<string>",
"endDate": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
AP exam name to filter dashboard by
AP Biology, AP Calculus AB, AP Calculus BC, AP Chemistry, AP Computer Science A, AP Computer Science Principles, AP English Language and Composition, AP English Literature and Composition, AP Environmental Science, AP Human Geography, AP Microeconomics, AP Music Theory, AP Physics 1: Algebra-Based, AP Physics 2: Algebra-Based, AP Psychology, AP Statistics, AP US History, AP United States Government and Politics, AP World History: Modern Dashboard rows returned
Show child attributes